using System;
using System.Collections.Generic;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.Extensions.Configuration;
using ToolSystem;

namespace Tool_Management.Pages
{
    public class BorrowToolModel : PageModel
    {
        readonly IConfiguration _configuration;

        public string connectionString;
        public string personTag = "0800296663";
        public string toolTag;

        public BorrowToolModel(IConfiguration configuration)
        {
            _configuration = configuration;
        }

        public void OnGet()
        {
            toolTag = Request.Query["tooltag"];

            connectionString = _configuration.GetConnectionString("ConnectionString");

            Tool tool = new Tool();

            tool.BorrowTool(connectionString, personTag, toolTag);

            Response.Redirect("./ToolList");
        }
    }
}
